aboutsummaryrefslogtreecommitdiffstats
path: root/main/gtk+2.0/APKBUILD
diff options
context:
space:
mode:
authorAmatCoder <amatcoder@gmail.com>2014-12-27 15:46:05 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-12-29 16:02:32 +0000
commit2e3f5fe64e16a84cfb331973b242f495a2885fdb (patch)
tree8f5940b48c7e47b4d30024e0b5a35638331bebd2 /main/gtk+2.0/APKBUILD
parent4ed2fe1fee348137246ac0c6cd89042f85e34c8f (diff)
downloadaports-2e3f5fe64e16a84cfb331973b242f495a2885fdb.tar.gz
aports-2e3f5fe64e16a84cfb331973b242f495a2885fdb.tar.bz2
aports-2e3f5fe64e16a84cfb331973b242f495a2885fdb.tar.xz
main/gtk+2.0: split gtk-update-icon-cache
Changes: - Split 'gtk-update-icon-cache' to a new package. This avoid the gtk2 dependency in gtk3 package and two triggers being fired. - Fix trigger to not exit with error on uninstall. - Update to 2.24.25
Diffstat (limited to 'main/gtk+2.0/APKBUILD')
-rw-r--r--main/gtk+2.0/APKBUILD22
1 files changed, 15 insertions, 7 deletions
diff --git a/main/gtk+2.0/APKBUILD b/main/gtk+2.0/APKBUILD
index 09d8daea36..103700e54f 100644
--- a/main/gtk+2.0/APKBUILD
+++ b/main/gtk+2.0/APKBUILD
@@ -1,15 +1,15 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gtk+2.0
-pkgver=2.24.23
+pkgver=2.24.25
pkgrel=0
+subpkg=gtk-update-icon-cache
pkgdesc="The GTK+ Toolkit (v2)"
url="http://www.gtk.org/"
install="$pkgname.post-install $pkgname.post-upgrade $pkgname.post-deinstall"
-triggers="$pkgname.trigger=/usr/share/icons/*"
arch="all"
license="LGPL"
-subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
-depends="shared-mime-info"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang $subpkg:icon_cache"
+depends="shared-mime-info gtk-update-icon-cache"
replaces="gtk+"
replaces_dev="gtk+-dev"
@@ -97,12 +97,20 @@ dev() {
"$subpkgdir"/usr/bin || return 1
}
-md5sums="0be39fbed4ca125645175cd6e22f2548 gtk+-2.24.23.tar.xz
+icon_cache() {
+ triggers="$subpkg.trigger=/usr/share/icons/*"
+ depends="hicolor-icon-theme"
+
+ mkdir -p "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/bin/"$subpkg" "$subpkgdir"/usr/bin || return 1
+}
+
+md5sums="612350704dd3aacb95355a4981930c6f gtk+-2.24.25.tar.xz
22355df723f6ca358e30e6b8f0baace5 xid-collision-debug.patch
b1f61a42b2fa3c54eb2e0d6c130a0f0a gtk2-fixdso.patch"
-sha256sums="a0a406e27e9b5e7d6b2c4334212706ed5cdcd41e713e66c9ae950655dd61517c gtk+-2.24.23.tar.xz
+sha256sums="38af1020cb8ff3d10dda2c8807f11e92af9d2fa4045de61c62eedb7fbc7ea5b3 gtk+-2.24.25.tar.xz
d758bb93e59df15a4ea7732cf984d1c3c19dff67c94b957575efea132b8fe558 xid-collision-debug.patch
609c20a1a3ca09ad3a3aa5186743d858e930edd9d775a3bf59c9716b54771b5d gtk2-fixdso.patch"
-sha512sums="e6db7d61d753f5d8ce0f41e99b461decda364d04314ff58838d2f98f29aab22313c0b5898f2cf56ddd3a18e0544f47ad796e673390d464ee2160b2542c5f558b gtk+-2.24.23.tar.xz
+sha512sums="e102eabbd86e9e697402b4d915172dd3838374b7b8a16b95369ed602228857a013fdba7b6b8d742f925ff8d340b63a90b56c1ddbd4405d8dc454144c705ac08d gtk+-2.24.25.tar.xz
89e3223c86731a76b12d39245f1ec4cf8b4860ab1d11d74a10e5deb0db302f20b4bb5d9034da1d8aeb96369dbdeddcdd2f28943270dc501476c694562b960159 xid-collision-debug.patch
95f28633a5164a2a9fec45ee1aa80bd1c07e0c5a7ac8d770b9c74af0909b7286b823eb634aa384cad609dc8799d2e6c9e8392c2732b9093076fdf94b4f6878b7 gtk2-fixdso.patch"